Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Trouble installing and running Wakfu

  1. #1
    Join Date
    Dec 2010
    Location
    Arrakis
    Beans
    Hidden!

    Trouble installing and running Wakfu

    Hi,

    Currently running Ubuntu 12.04 Beta (64-bit) and I am having trouble installing / Running Wakfu.

    I downloaded the linux client from the website, a file called "Wakfu_unix.sh" which is around 24.3MB in size.

    If I try and run the file from Nautilus nothing happens. Running it from Terminal I get a message that the following:
    Code:
    nlsthzn@circle:~/Downloads$ ./Wakfu_unix.sh 
    Unpacking JRE ...
    Preparing JRE ...
    Starting Installer ...
    Could not display the GUI. This application needs access to an X Server.
    *******************************************************************
    You can also run this application in console mode without
    access to an X server by passing the argument -c
    *******************************************************************
    nlsthzn@circle:~/Downloads$ 
    nlsthzn@circle:~/Downloads$
    If I run it with the -c option it runs through the installation and I end up with a directory with three files (uninstall, UpLauncher and Wakfu) plus one hidden folder with several files in it.

    Trying to run Wakfu gives me this:
    Code:
    The archive /home/nlsthzn/ankama/Wakfu/core.jar does not exist.
    nlsthzn@circle:~/ankama/Wakfu$
    nlsthzn@circle:~/ankama/Wakfu$
    Trying to run UpLauncer gives me:
    Code:
    ./UpLauncher 
    ./UpLauncher: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
    nlsthzn@circle:~/ankama/Wakfu$
    Googling libgtk-x11-2.0.so.0 got me a hit to make sure libgtk2.0-0 is installed and it is.

    I have found nothing on the net thus far to assist with this installation even though I have read on this forum there is issues using a 64-bit distro but that they can be overcome.

    Any assistance greatly appreciated.


    404
    404

  2. #2
    Join Date
    May 2007
    Location
    DR
    Beans
    1,346
    Distro
    Ubuntu Development Release

    Re: Trouble installing and running Wakfu

    ok, i will try it on my precise computer when i get home.

    for now it works well on my oneiric 32bit.

    http://ubuntuforums.org/showpost.php...48&postcount=8
    When close to achieving you quit! If you don't try you failed. Real Winners are not afraid of losing.
    ubuntu newsletter ; Report Papercuts (small annoyances/bugs) ; beginners guide and video http://youtube.com/watch?v=Z0tNpt5RZYI

  3. #3
    Join Date
    May 2007
    Location
    DR
    Beans
    1,346
    Distro
    Ubuntu Development Release

    Re: Trouble installing and running Wakfu

    ok i tried it on 12.04 64bit. i get this:

    Code:
    Unpacking JRE ...
    Preparing JRE ...
    ./Wakfu_unix.sh: 197: ./Wakfu_unix.sh: bin/unpack200: not found
    Error unpacking jar files. The architecture or bitness (32/64)
    of the bundled JVM might not match your machine.
    guess i will be installing 32bit precise or staying with 32bit oneiric for a while till they add 64bit support.

    oh and might be better to merge the threads and specify in the title is 64bit.
    Last edited by madjr; March 12th, 2012 at 07:33 PM.
    When close to achieving you quit! If you don't try you failed. Real Winners are not afraid of losing.
    ubuntu newsletter ; Report Papercuts (small annoyances/bugs) ; beginners guide and video http://youtube.com/watch?v=Z0tNpt5RZYI

  4. #4
    Join Date
    Oct 2004
    Location
    Denmark - Scandinavia
    Beans
    17,619
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Trouble installing and running Wakfu

    Works fine here on Ubuntu 11.10 64-bit. Which Java are you using? Are 32-libs installed?

    Code:
    orion@universe:~$ sh '/home/orion/Downloads/Wakfu_unix.sh' 
    Unpacking JRE ...
    Preparing JRE ...
    Starting Installer ...
    Last edited by Artificial Intelligence; March 12th, 2012 at 07:57 PM.
    elementary OS Luna
    My Screenshot

  5. #5
    Join Date
    May 2007
    Location
    DR
    Beans
    1,346
    Distro
    Ubuntu Development Release

    Re: Trouble installing and running Wakfu

    Quote Originally Posted by Artificial Intelligence View Post
    Works fine here on Ubuntu 11.10 64-bit. Which Java are you using? Are 32-libs installed?

    Code:
    orion@universe:~$ sh '/home/orion/Downloads/Wakfu_unix.sh' 
    Unpacking JRE ...
    Preparing JRE ...
    Starting Installer ...
    how i install 32libs on precise 64bit?
    When close to achieving you quit! If you don't try you failed. Real Winners are not afraid of losing.
    ubuntu newsletter ; Report Papercuts (small annoyances/bugs) ; beginners guide and video http://youtube.com/watch?v=Z0tNpt5RZYI

  6. #6
    Join Date
    Dec 2010
    Location
    Arrakis
    Beans
    Hidden!

    Re: Trouble installing and running Wakfu

    Quote Originally Posted by madjr View Post
    how i install 32libs on precise 64bit?
    +1 - How would we go about doing this?


    404
    404

  7. #7
    Join Date
    Oct 2004
    Location
    Denmark - Scandinavia
    Beans
    17,619
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Trouble installing and running Wakfu

    in Ubuntu 11.10 (and 12.04) if you check Synaptic Package Manager (if installed), you'll notice that every libs have a 32-bit counterpart which usually named :i386.

    Those libs are separated from the 64-bit libs when installed. The 32-bit version libs are installed under /lib32.

    To get the most common 32-bit to run most 32-bit applications in a 64-bit environment just install the two meta-package:

    ia32-libs
    ia32-libs-multiarch:i386



    Note, that I used Oracle Java instead of OpenJava to run Wakfu.
    elementary OS Luna
    My Screenshot

  8. #8
    Join Date
    Dec 2010
    Location
    Arrakis
    Beans
    Hidden!

    Re: Trouble installing and running Wakfu

    Quote Originally Posted by Artificial Intelligence View Post
    in Ubuntu 11.10 (and 12.04) if you check Synaptic Package Manager (if installed), you'll notice that every libs have a 32-bit counterpart which usually named :i386.

    Those libs are separated from the 64-bit libs when installed. The 32-bit version libs are installed under /lib32.

    To get the most common 32-bit to run most 32-bit applications in a 64-bit environment just install the two meta-package:

    ia32-libs
    ia32-libs-multiarch:i386



    Note, that I used Oracle Java instead of OpenJava to run Wakfu.
    Was able to install ia32-libs (no ia32-libs-multiarch:i386 available).

    No change.

    Installed the game via the terminal again...

    Now I get the following:
    Code:
    nlsthzn@circle:~/ankama/Wakfu$ sudo ./UpLauncher 
    ./UpLauncher: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory
    nlsthzn@circle:~/ankama/Wakfu$
    I installed any package I could get in Synaptic that had the word libjpeg and a 6 and a 2 in it ... Obviously didn't work

    I can't find out much about libjpeg.so.62 except it definitly isn't on my machine at the moment:
    Code:
    nlsthzn@circle:/$ sudo locate -i libjpeg.so
    /home/nlsthzn/.i4j_jres/1.6.0/lib/i386/libjpeg.so
    /usr/lib/x86_64-linux-gnu/libjpeg.so.8
    /usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2
    /usr/local/i4j_jres/1.6.0/lib/i386/libjpeg.so
    nlsthzn@circle:/$
    ??


    404
    404

  9. #9
    Join Date
    Oct 2004
    Location
    Denmark - Scandinavia
    Beans
    17,619
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Trouble installing and running Wakfu

    Install;

    libjpeg62:i386
    elementary OS Luna
    My Screenshot

  10. #10
    Join Date
    Dec 2010
    Location
    Arrakis
    Beans
    Hidden!

    Re: Trouble installing and running Wakfu

    Quote Originally Posted by Artificial Intelligence View Post
    Install;

    libjpeg62:i386
    Thanks for the file... at this time I have already installed Ubuntu 12.04 32-bit... and even though the initial installation worked this time without any additional faffing around by me the game still didn't want to run.

    UNTIL I installed libjpeg62 (seeing as I am already in the 32-bit version) and the game is now running and downloading the patched etc... So far so good, seems we got this one to work.

    Thanks all for your assistance.



    404
    404

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •